Auteur Sujet: [Résolu] | aMule-2.3.2  (Lu 2660 fois)

0 Membres et 2 Invités sur ce sujet

Hors ligne Jerboa

  • Membre Junior
  • *
  • Messages: 32
  • +2/-0
Re : aMule-2.3.2
« Réponse #15 le: 23 novembre 2019 à 06:42:46 »
Bonjour et merci pour ta réponse WarLocG.

Juste une petite question avant de compiler et d'installer wxWidgets 3.0.

Comment dois-je désinstaller la version 3.1.3 ?

Je supprime les fichiers libwx* dans /usr/local/lib ainsi que le répertoire wx dans le même chemin (/usr/local/lib), je suppose.

D'avance merci.

Hors ligne Jerboa

  • Membre Junior
  • *
  • Messages: 32
  • +2/-0
Re : aMule-2.3.2
« Réponse #16 le: 23 novembre 2019 à 08:09:14 »
Re-Bonjour à tous et merci pour votre aide.

J'ai compilé et installé wxWidgets 3.0.4.

Maintenant, mon soucis, c'est que je ne trouve pas aMule sur mon système...

L'exécution du fichier amule_build_install.sh
retourne ceci:

*** Warnings during configuration ***

* UPnP code has been disabled because libupnp >= 1.6.6 not found (try to use --with-libupnp-prefix=PREFIX).

* You need to install GNU gettext/gettext-tools to compile aMule with i18n
  support.
./amule_build_install.sh: ligne 226 : cd: amule-cvs: Aucun fichier ou dossier de ce type
./amule_build_install.sh: ligne 228: ./configure: Aucun fichier ou dossier de ce type

Finished compilation.
You should run aMule like this:
$LD_LIBRARY_PATH=/root/usr/wxWidgets/lib:/root/usr/libupnp/lib LANG=en_US.UTF-8 /root/usr/amule/bin/amule

Of course you may choose to use a different locale.

je suis allez voir dans /root/usr/ mais aucune trace de aMule.
Est-ce que c'est en lien avec le résultat cité précédemment:

./amule_build_install.sh: ligne 226 : cd: amule-cvs: Aucun fichier ou dossier de ce type
./amule_build_install.sh: ligne 228: ./configure: Aucun fichier ou dossier de ce type

Ou bien ça vient de moi ?

J'ai fait une petite recherche sur google avec ces deux lignes (226, 228) mais sans résultats...

Faut-il modifier le fichier amule_build_install.sh ?
Si oui, une idée de la modification?

D'avance Merci.

En ligne ZeR0-@bSoLu

  • Administrateur
  • Membre Elite
  • *****
  • Messages: 2607
  • +142/-4
  • Pentest - Arch - Python - Kali
    • Kali-fr
Re : aMule-2.3.2
« Réponse #17 le: 23 novembre 2019 à 09:29:30 »
Lis ton terminal.... mince :(

tout est marqué dessus je t'assure... :)
Mess  with the bests.
Die like the rest.

Hors ligne Koma

  • Membre sérieux
  • ***
  • Messages: 268
  • +23/-5
  • Don't panick, i'll be back.
Re : aMule-2.3.2
« Réponse #18 le: 23 novembre 2019 à 10:38:24 »
Hello

* UPnP code has been disabled because libupnp >= 1.6.6 not found (try to use --with-libupnp-prefix=PREFIX).

* You need to install GNU gettext/gettext-tools to compile aMule with i18n
  support.
./amule_build_install.sh: ligne 226 : cd: amule-cvs: Aucun fichier ou dossier de ce type
./amule_build_install.sh: ligne 228: ./configure: Aucun fichier ou dossier de ce type

Juste au cas où... => T'as rien à faire sur Kali en fait ? :P

Je m'explique, Kali est une distribution très spécifique, un sorte de couteau suisse sans sécurité, destiné aux spécialistes de cybersec.

Tu tente d'installer un client P2P sur une machine en root dont tu ne maitrise pas les aspects ni avancés, ni basique apparemment.

Pourquoi ne pas commencer par la base, comme c'est écrit à l'entrée du forum ?

C'est à dire :

Tu trouveras des infos concernant le réseau ici : www.frameip.com
Sur la programmation ici : www.zestedesavoir.com
Sur linux/debian ici : www.debian-facile.org
But first : let me google that for you.

Copyright Réservé SNK inc. "C'est pas un McDrive ici !"
Copyright réservé ZeR0 TM "Ce n'est pas flunch ici"

Hors ligne Jerboa

  • Membre Junior
  • *
  • Messages: 32
  • +2/-0
Re : aMule-2.3.2
« Réponse #19 le: 23 novembre 2019 à 10:57:21 »
Bonjour Koma,

----
Non, je n'utilise pas Kali en root, j'ai créé un utilisateur classique pour les tâches quotidiennes.
J'aime justement cet aspect du couteau suisse de Kali...
... Et je ne vais pas installer une distro Ubuntu juste pour aMule.
----


Pour en revenir à mon mouton:

j'ai installé le paquet libupnp-dev et le paquet gettext.
Par-contre, pour ne plus recevoir de warning lié à gettext, il fallait également installer le paquet autopoint. (Voir https://ubuntuforums.org/showthread.php?t=1886403).


Sans vouloir abuser de votre patience, je reste avec ses deux ligne:
./amule_build_install.sh: ligne 226 : cd: amule-cvs: Aucun fichier ou dossier de ce type
./amule_build_install.sh: ligne 228: ./configure: Aucun fichier ou dossier de ce type
Et je ne trouve pas encore la solution avec Google...
Je vais continuer à chercher mais si vous aviez une piste, ce serait bienvenu.

D'avance Merci.

En ligne ZeR0-@bSoLu

  • Administrateur
  • Membre Elite
  • *****
  • Messages: 2607
  • +142/-4
  • Pentest - Arch - Python - Kali
    • Kali-fr
Re : aMule-2.3.2
« Réponse #20 le: 23 novembre 2019 à 11:01:37 »
Créer un utilisateur sur kali n'a aucun sens car kali n'est pas faite pour une utilisation quotidienne justement :)

Bah encore une fois mais c'est marqué clairement sur ton terminal , le script amule_build_install.sh à la ligne 226 n'arrive pas à trouver le dossier amule-cvs...
et la meme chose pour la deuxieme erreur..
Mess  with the bests.
Die like the rest.

Hors ligne Koma

  • Membre sérieux
  • ***
  • Messages: 268
  • +23/-5
  • Don't panick, i'll be back.
Re : aMule-2.3.2
« Réponse #21 le: 23 novembre 2019 à 11:12:30 »
Je comprends pas ce qui te rebute envers Ubuntu ? SI tu n'aime pas, pourquoi ne pas tester Fedora ou une autre distro de ton choix faite pour une utilisation quotidienne ?

De plus, à chaque fois, c'est écrit noir sur blanc dans ton terminal ce qu'ils te demandent ^^ tu maitrise l'anglais ? tu as des très bon cours sur edX ! :)
But first : let me google that for you.

Copyright Réservé SNK inc. "C'est pas un McDrive ici !"
Copyright réservé ZeR0 TM "Ce n'est pas flunch ici"

Hors ligne Jerboa

  • Membre Junior
  • *
  • Messages: 32
  • +2/-0
Re : aMule-2.3.2
« Réponse #22 le: 23 novembre 2019 à 11:19:13 »
Bonjour ZeR0-@bSoLu.

Oui, j'avais bien compris que le script amule_build_install.sh ne trouvait pas le répertoire amule-cvs
mais l'archive de aMule est fournie tel quel, je l'ai juste décompressée.

Tu penses qu'il faut que je crée un repertoire amule-cvs?
Il faudrait qu'un fichier configure s'y trouve d'après le script amule_build_install.sh .

Hors ligne Jerboa

  • Membre Junior
  • *
  • Messages: 32
  • +2/-0
Re : aMule-2.3.2
« Réponse #23 le: 23 novembre 2019 à 11:24:27 »
Bonjour Koma,

je n'ai rien contre Ubuntu, au contraire, je la trouve très bien faite.

C'est juste que j'ai envie de pouvoir faire un maximum de trucs sur Kali.
Je comprends bien que ce n'est pas une distro pour un usage bureautique mais je suis un brin curieux de voir ce qui est possible ou pas.

Bien à toi.
« Modifié: 23 novembre 2019 à 11:29:50 par Jerboa »

En ligne ZeR0-@bSoLu

  • Administrateur
  • Membre Elite
  • *****
  • Messages: 2607
  • +142/-4
  • Pentest - Arch - Python - Kali
    • Kali-fr
Re : aMule-2.3.2
« Réponse #24 le: 23 novembre 2019 à 11:26:32 »
Si tu prends le temps de regarder ton terminal précedent :

* UPnP code has been disabled because libupnp >= 1.6.6 not found (try to use --with-libupnp-prefix=PREFIX).

* You need to install GNU gettext/gettext-tools to compile aMule with i18n
  support.
./amule_build_install.sh: ligne 226 : cd: amule-cvs: Aucun fichier ou dossier de ce type
./amule_build_install.sh: ligne 228: ./configure: Aucun fichier ou dossier de ce type

Tu remarques que en fait il faut gettext-tools pour compiler amule avec la version i18n seulement sais-tu ce qu'est cette version ?
As tu regardé les différentes façon de compiler sur le git ? et les erreurs courantes ?
Mess  with the bests.
Die like the rest.

Hors ligne Koma

  • Membre sérieux
  • ***
  • Messages: 268
  • +23/-5
  • Don't panick, i'll be back.
Re : aMule-2.3.2
« Réponse #25 le: 23 novembre 2019 à 11:28:07 »
Tu sais que 80% des outils (voir plus) sur kali sont installables sur ubuntu ? :)

But first : let me google that for you.

Copyright Réservé SNK inc. "C'est pas un McDrive ici !"
Copyright réservé ZeR0 TM "Ce n'est pas flunch ici"

En ligne ZeR0-@bSoLu

  • Administrateur
  • Membre Elite
  • *****
  • Messages: 2607
  • +142/-4
  • Pentest - Arch - Python - Kali
    • Kali-fr
Re : aMule-2.3.2
« Réponse #26 le: 23 novembre 2019 à 11:28:41 »
Au minimum oui voir 99% :P
Mess  with the bests.
Die like the rest.

En ligne ZeR0-@bSoLu

  • Administrateur
  • Membre Elite
  • *****
  • Messages: 2607
  • +142/-4
  • Pentest - Arch - Python - Kali
    • Kali-fr
Re : aMule-2.3.2
« Réponse #27 le: 23 novembre 2019 à 11:37:22 »
Tu devrais aller voir cette page :  http://wiki.amule.org/wiki/HowTo_Compile_In_Debian/Ubuntu    :)
Mess  with the bests.
Die like the rest.

Hors ligne Jerboa

  • Membre Junior
  • *
  • Messages: 32
  • +2/-0
Re : aMule-2.3.2
« Réponse #28 le: 23 novembre 2019 à 13:27:32 »
Un tout grand merci et mille excuses pour les questions de débutant...

J'ai trouvé les deux paquets debian (amule et amule-common) nécessaires.
Le tout fonctionne bien!
lien: https://packages.ubuntu.com/disco/amule

Heureusement parce qu'avec la compilation de code je n'étais pas sortis de l'auberge...
...même la toute dernière version SVN affichait des erreurs de compilation, malgré une config ok.

Bien à vous.

Hors ligne _john_doe

  • Contributeur de Kali-linux.fr
  • Membre VIP
  • *****
  • Messages: 602
  • +34/-5
Re : aMule-2.3.2
« Réponse #29 le: 23 novembre 2019 à 13:38:16 »
L'essentiel c'est que tu es trouvé par toi meme.
C'est ainsi que l'on progresse.
Tu verras la prochaine fois que tu auras ce genre de pb de compil tout ce que tu viens d'apprendre te reviendra.
Les membres qui t'ont répondu ne t'on pas donné la réponse toute faite non pas pour t'embeter mais pour que tu comprenne ce que tu apprenne en faisant.